#pragma once

#include <UIMLView.h>

#include "NetworkAPIProcessor.h"

class UIMLCraftingProgressElement : public Framework::UIMLElement
{
public:
    UIMLCraftingProgressElement();
    //! prüft, ob dieses UIML Element für ein bestimmtes xml Element zuständig
    bool isApplicableFor(Framework::XML::Element& element) override;
    //! erstellt eine neue Drawable zu einem gegebenen xml Element
    Framework::Drawable* parseElement(Framework::XML::Element& element,
        Framework::UIMLContainer& generalFactory) override;
    bool updateElement(Framework::XML::Element& element,
        Framework::Drawable& z,
        Framework::UIMLContainer& generalFactory) override;
};